Package: groovy.org.codenarc.rule.basic

## [Groovy] Class AbstractFinallyAstVisitor

- groovy.org.codenarc.rule.basic.AbstractFinallyAstVisitor

- Abstract superclass for AST Visitor classes that check for conditions within a finally block

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `isStatementWithinFinally(org.codehaus.groovy.ast.stmt.Statement statement)` @return true if the specified statement is within a finally block
    `` | `void` | `visitTryCatchFinally(org.codehaus.groovy.ast.stmt.TryCatchStatement tryCatchStatement)`

- - ### Method Detail

    - #### protected boolean isStatementWithinFinally(org.codehaus.groovy.ast.stmt.Statement statement)

      Returns:
        true if the specified statement is within a finally block

    - #### void visitTryCatchFinally(org.codehaus.groovy.ast.stmt.TryCatchStatement tryCatchStatement)